# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# PCLinuxOS-Converter         
# Created for PCLinuxOS 2010    
# by D.M-Wilhelm (leiche)      
# Mon Aug 29 2011              
# Email <meisssw01 at gmail.com> 
# License GPL2                 
#
%define prefix /usr
%define name PCLinuxOS-Converter
%define iname pclos-convert
%define version 2.0
%define release %mkrel 1
%define url www.pclinuxos.com

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	A Simple Audio Converter
Summary(de):	Ein einfacher Audio Konverter
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

Requires:	yad, gtkdialog, bash, grep
Requires:	ffmpeg, parallel, normalize
# used icon created by agmg
#Requires:	gnome-icon-theme
Obsoletes:	%name < %version

%description
A Simple Audio Converter, convert wav, flac, mp3, ogg, or aac.
Based on gtkdialog, and use ffmpeg.

#german
%description -l de
Ein einfacher Audio Konverter, konvertiert wav, flac, mp3, ogg, oder aac.
Basierend auf gtkdialog und nutzt ffmpeg.

%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_datadir}/%{name}
install -m 755 pclos-converter %{buildroot}%{_datadir}/%{name}/
install -m 644 pcloslogo.png %{buildroot}%{_datadir}/%{name}/pcloslogo.png
cp -a $RPM_BUILD_DIR/%{name}-%{version}/icons %{buildroot}%{_datadir}/%{name}/
install -m 644 HISTORY %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}/%{_iconsdir}
#icon Symbol
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/
convert icons/pclos-converter.png -resize 32x32 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{iname}.png
convert icons/pclos-converter.png -resize 16x16 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{iname}.png
convert icons/pclos-converter.png -resize 48x48 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{iname}.png
install -m 644 icons/pclos-converter.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{iname}.png

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/pclos-converter << EOF
# simple launcher for %{name}
#
%{_datadir}/%{name}/pclos-converter
exit 0
EOF
%__chmod 777 $RPM_BUILD_ROOT%{_bindir}/pclos-converter

install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclos-converter.desktop << EOF
[Desktop Entry]
Name=PCLOS-Audio Converter
Name[de]=PCLOS-Audio Konverter
Comment=plays and convert Audio files
Comment[de]=spielt und konventiert Audio Dateien
Exec=%{_datadir}/%{name}/pclos-converter
Icon=pclos-convert
Terminal=false
Type=Application
Categories=Application;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio
Encoding=UTF-8
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,es}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/pclos-converter.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/pclos-converter-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/pclos-converter.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/pclos-converter-es_ES.po



%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/pclos-converter
%{_datadir}/%{name}/pclos-converter
%{_datadir}/%{name}/HISTORY
%{_datadir}/%{name}/icons/*.png
%{_datadir}/applications/pclos-converter.desktop
%{_datadir}/%{name}/pcloslogo.png
%{_iconsdir}/hicolor/*/apps/%{iname}.png
%{_datadir}/locale/*/LC_MESSAGES/pclos-converter.mo
#%doc

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu Jan 01 2015 daniel <meisssw01 at gmail.com> 2.0-1pclos2014
- Pump to version 2.0
- Rewrite, and add YAD back for progressbar, and
  file manager (1)
- as default, audio will add to batch as wav (2)
- removed wav output from list, to add normalizer (3)  
- add normalizer button on batch window for audio output (4)
- add new icon theme for buttons, created by agmg (5)

* Wed Apr 24 2014 daniel <meisssw01 at gmail.com> 1.0-1free2014
- pump to version 1.0

* Sun Apr 20 2014 daniel <meisssw01 at gmail.com> 0.9-1free2014
- rewrite GUI, based now only on gtkdialog
- add german translation (2)
- change icons (2)
- add some description (3)
- add function to hold last save directory (3)
- change icon for gui (4)

* Sun Mar 16 2014 daniel <meisssw01 at gmail.com> 0.5-1free2014
- add launcher (2)
- add batch convert function
- add display playing now

* Thu Nov 07 2013 daniel <meisssw01 at gmail.com> 0.4-1free2013
- change convert dialog
  no longer must set the extension
- change button icons
- fix close bug on help dialog

* Thu Oct 31 2013 billybot <billybot> 0.3-2pclos2013
- update
 
* Thu Feb 09 2012 Neal <nealbrks0 at gmail dot com> 0.3-1leiche2012
- process

* Wed Feb 08 2012 leiche <meisssw01 at gmail.com> 0.3-1leiche2012
- add Spain language, translated by Crow

* Sun Oct 23 2011 leiche <meisssw01 at gmail.com> 0.2-3leiche2011
- rebuild for new ffmpeg

* Tue Sep 27 2011 leiche <meisssw01 at gmail.com> 0.2-2leiche2011
- rebuild it for new mediainfo

* Tue Aug 30 2011 leiche <meisssw01 at gmail.com> 0.2-1leiche2011
- build first package for PCLinuxOS
